<?php
session_start();

$configFile = 'config.json';
if (!file_exists($configFile)) {
    die("Error: config.json not found.");
}

$config = json_decode(file_get_contents($configFile), true);

// Check if admin is logged in
if (!isset($_SESSION['admin_logged_in'])) {
    // Not logged in
    header("HTTP/1.1 403 Forbidden");
    exit("Access Denied: You must be logged in as admin to delete files.");
}

// Check if password was submitted
if (!isset($_POST['delete_password']) || empty($_POST['delete_password'])) {
    // No password provided
    header("HTTP/1.1 400 Bad Request");
    exit("No delete password provided.");
}

// Compare with admin password
if ($_POST['delete_password'] !== $config['adminPassword']) {
    // Wrong password
    ?>
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Delete Data - Error</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
        <style>
            body {
                background: #000;
                color: #00ff00;
                font-family: 'Courier New', monospace;
            }
            .delete-box {
                background: #111;
                border: 1px solid #00ff00;
                padding: 30px;
                border-radius: 8px;
                margin-top: 50px;
            }
            a.btn {
                border: 1px solid #00ff00;
                color: #00ff00;
                background: transparent;
            }
            a.btn:hover {
                background: #00ff00;
                color: #000;
            }
        </style>
    </head>
    <body class="d-flex vh-100">
        <div class="container my-auto">
            <div class="row justify-content-center">
                <div class="col-12 col-sm-8 col-md-6 col-lg-4">
                    <div class="delete-box text-center">
                        <h2 class="mb-4">Incorrect Password!</h2>
                        <p>You entered a wrong password. Please try again.</p>
                        <a href="admin.php" class="btn mt-3">Go Back to Admin</a>
                    </div>
                </div>
            </div>
        </div>
    </body>
    </html>
    <?php
    exit();
}

// If the password is correct, proceed to clear files
$files = ['ipo.txt', 'ipw.txt', 'url_ip_ua_map.json', 'Links.txt'];
$results = [];

foreach ($files as $file) {
    if (file_exists($file)) {
        $handle = fopen($file, 'w');
        if ($handle) {
            fclose($handle);
            $results[] = "Cleared contents of file: $file";
        } else {
            $results[] = "Failed to open file: $file";
        }
    } else {
        $results[] = "File does not exist: $file";
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Delete Data - Success</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Optionally auto-redirect to admin.php after 3 seconds -->
    <meta http-equiv="refresh" content="3;url=admin.php">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background: #000;
            color: #00ff00;
            font-family: 'Courier New', monospace;
        }
        .delete-box {
            background: #111;
            border: 1px solid #00ff00;
            padding: 30px;
            border-radius: 8px;
            margin-top: 50px;
        }
        a.btn {
            border: 1px solid #00ff00;
            color: #00ff00;
            background: transparent;
        }
        a.btn:hover {
            background: #00ff00;
            color: #000;
        }
    </style>
</head>
<body class="d-flex vh-100">
    <div class="container my-auto">
        <div class="row justify-content-center">
            <div class="col-12 col-sm-8 col-md-6 col-lg-4">
                <div class="delete-box text-center">
                    <h2 class="mb-4">Deleted Successfully</h2>
                    <?php foreach ($results as $line): ?>
                        <p><?php echo $line; ?></p>
                    <?php endforeach; ?>
                    <p class="mt-3">You will be redirected to admin panel shortly...</p>
                    <a href="admin.php" class="btn mt-3">Return to Admin</a>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
