<?php
function getDeviceType() {
    $ua = $_SERVER['HTTP_USER_AGENT'] ?? '';
    if (preg_match('/android/i', $ua)) {
        return "Android device";
    }
    if (preg_match('/iPad|iPhone|iPod/i', $ua)) {
        return "iOS device";
    }
    if (preg_match('/Macintosh|MacIntel|MacPPC|Mac68K/i', $ua)) {
        return "Mac device";
    }
    if (preg_match('/Windows/i', $ua)) {
        return "Windows device";
    }
    if (preg_match('/Linux/i', $ua)) {
        return "Linux device";
    }
    return "mobile phone";
}

$deviceType = getDeviceType();
$isNotWindows = ($deviceType !== "Windows device");

// If it is Windows, redirect to index.php
if (!$isNotWindows) {
    header("Location: index.php");
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Access Restricted</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            overflow: hidden; /* no scrolling */
            background: #000; 
        }

        .modal {
            display: flex; 
            position: fixed;
            z-index: 1000;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.8); /* Black with opacity */
            justify-content: center;
            align-items: center;
            text-align: center;
        }

        .modal-content {
            background-color: #fff;
            margin: auto;
            padding: 20px;
            border-radius: 10px;
            max-width: 600px;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
            animation: fadeIn 0.5s;
        }

        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }

        .modal h1 {
            color: red;
            font-size: 2em;
            margin-bottom: 20px;
        }

        .modal p {
            font-size: 1.2em;
            color: #333;
        }
    </style>
</head>
<body>
    <div class="modal">
        <div class="modal-content">
            <h1>Access Restricted</h1>
            <p>The <?php echo htmlspecialchars($deviceType); ?> is not allowed to access this page. 
            Please open it from a Windows device.</p>
        </div>
    </div>
</body>
</html>
